# class Skiptrace::Location

### Attributes

binding[R]

### Public Class Methods

new(location, binding) click to toggle source

    # File lib/skiptrace/location.rb, line 5
    def initialize(location, binding)
      @location = location
      @binding = binding
    end

### Public Instance Methods

absolute_path() click to toggle source

    # File lib/skiptrace/location.rb, line 10
    def absolute_path
      @location.absolute_path
    end

base_label() click to toggle source

    # File lib/skiptrace/location.rb, line 14
    def base_label
      @location.base_label
    end

inspect() click to toggle source

    # File lib/skiptrace/location.rb, line 18
    def inspect
      @location.inspect
    end

label() click to toggle source

    # File lib/skiptrace/location.rb, line 22
    def label
      @location.label
    end

lineno() click to toggle source

    # File lib/skiptrace/location.rb, line 26
    def lineno
      @location.lineno
    end

to_s() click to toggle source

    # File lib/skiptrace/location.rb, line 30
    def to_s
      @location.to_s
    end